package com.example.library;

import android.databinding.BindingAdapter;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.util.Log;
import android.view.View;
import android.widget.Toast;

public class BindingHelper {
    public static String value = null;

    @SuppressWarnings("unused") // called via Data Binding
    @BindingAdapter("foo")
    public static void bindAttribute(@NonNull View view, @Nullable String boundValue) {
        final String message = "Helper's value: " + boundValue;
        Toast.makeText(view.getContext(), message, Toast.LENGTH_LONG).show();
        Log.e("HELPER", message);
        BindingHelper.value = boundValue;
    }
}
