#! /bin/sh
head -n -2 gradle.properties > tmp && mv tmp gradle.properties # Remove AndroidX properties
# Generate android.support-based library and add it to app's libs
./gradlew clean library:build && mv library/build/outputs/aar/library-debug.aar app/libs/library-debug.aar

# Enable AndroidX
echo """android.useAndroidX=true
android.enableJetifier=true""" >> gradle.properties
