# AndroidX DataBinding NoClassDefError

## Steps to reproduce

- run `./makelib.sh` to generate the library's aar in the app's `libs` folder
- In Android Studio, use `Migrate to AndroidX` to run jetifier on the project
- run ./gradlew app:installDebug` to generate the application
- launch the app, you get the following error

```
E/AndroidRuntime: FATAL EXCEPTION: main
    Process: com.example.androidxrepro, PID: 1614
    java.lang.NoClassDefFoundError: Failed resolution of: Lcom/android/databinding/library/baseAdapters/DataBinderMapperImpl;
        at com.example.library.DataBinderMapperImpl.collectDependencies(DataBinderMapperImpl.java:71)
        at androidx.databinding.MergedDataBinderMapper.addMapper(MergedDataBinderMapper.java:58)
        at androidx.databinding.MergedDataBinderMapper.addMapper(MergedDataBinderMapper.java:60)
        at androidx.databinding.DataBinderMapperImpl.<init>(DataBinderMapperImpl.java:5)
        at androidx.databinding.DataBindingUtil.<clinit>(DataBindingUtil.java:32)
        at androidx.databinding.DataBindingUtil.setContentView(DataBindingUtil.java:284)
        at com.example.androidxrepro.MainActivity.onCreate(MainActivity.kt:17)
        at android.app.Activity.performCreate(Activity.java:7009)
        at android.app.Activity.performCreate(Activity.java:7000)
        at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1214)
        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2731)
        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2856)
        at android.app.ActivityThread.-wrap11(Unknown Source:0)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1589)
        at android.os.Handler.dispatchMessage(Handler.java:106)
        at android.os.Looper.loop(Looper.java:164)
        at android.app.ActivityThread.main(ActivityThread.java:6494)
        at java.lang.reflect.Method.invoke(Native Method)
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:438)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:807)
     Caused by: java.lang.ClassNotFoundException: Didn't find class "com.android.databinding.library.baseAdapters.DataBinderMapperImpl" on path: DexPathList[[zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/base.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_dependencies_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_resources_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_0_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_1_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_2_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_3_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_4_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_5_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_6_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_7_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_8_apk.apk", zip file "/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_slice_9_apk.apk"],nativeLibraryDirectories=[/data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/lib/x86, /system/lib, /vendor/lib]]
        at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:125)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:379)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)
        at com.example.library.DataBinderMapperImpl.collectDependencies(DataBinderMapperImpl.java:71) 
        at androidx.databinding.MergedDataBinderMapper.addMapper(MergedDataBinderMapper.java:58) 
        at androidx.databinding.MergedDataBinderMapper.addMapper(MergedDataBinderMapper.java:60) 
        at androidx.databinding.DataBinderMapperImpl.<init>(DataBinderMapperImpl.java:5) 
        at androidx.databinding.DataBindingUtil.<clinit>(DataBindingUtil.java:32) 
        at androidx.databinding.DataBindingUtil.setContentView(DataBindingUtil.java:284) 
        at com.example.androidxrepro.MainActivity.onCreate(MainActivity.kt:17) 
        at android.app.Activity.performCreate(Activity.java:7009) 
        at android.app.Activity.performCreate(Activity.java:7000) 
        at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1214) 
        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2731) 
        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2856) 
        at android.app.ActivityThread.-wrap11(Unknown Source:0) 
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1589) 
        at android.os.Handler.dispatchMessage(Handler.java:106) 
        at android.os.Looper.loop(Looper.java:164) 
        at android.app.ActivityThread.main(ActivityThread.java:6494) 
        at java.lang.reflect.Method.invoke(Native Method) 
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:438) 
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:807) 
    	Suppressed: java.io.IOException: No original dex files found for dex location /data/app/com.example.androidxrepro-F8Nv5y-Om9R5T4OQcG2s2g==/split_lib_resources_apk.apk
        at dalvik.system.DexFile.openDexFileNative(Native Method)
        at dalvik.system.DexFile.openDexFile(DexFile.java:353)
        at dalvik.system.DexFile.<init>(DexFile.java:100)
        at dalvik.system.DexFile.<init>(DexFile.java:74)
        at dalvik.system.DexPathList.loadDexFile(DexPathList.java:374)
        at dalvik.system.DexPathList.makeDexElements(DexPathList.java:337)
        at dalvik.system.DexPathList.<init>(DexPathList.java:157)
E/AndroidRuntime:     at dalvik.system.BaseDexClassLoader.<init>(BaseDexClassLoader.java:65)
        at dalvik.system.PathClassLoader.<init>(PathClassLoader.java:64)
        at com.android.internal.os.ClassLoaderFactory.createClassLoader(ClassLoaderFactory.java:73)
        at com.android.internal.os.ClassLoaderFactory.createClassLoader(ClassLoaderFactory.java:88)
        at android.app.ApplicationLoaders.getClassLoader(ApplicationLoaders.java:69)
        at android.app.ApplicationLoaders.getClassLoader(ApplicationLoaders.java:35)
        at android.app.LoadedApk.createOrUpdateClassLoaderLocked(LoadedApk.java:693)
        at android.app.LoadedApk.getClassLoader(LoadedApk.java:727)
        at android.app.LoadedApk.getResources(LoadedApk.java:954)
        at android.app.ContextImpl.createAppContext(ContextImpl.java:2270)
        at android.app.ActivityThread.handleBindApplication(ActivityThread.java:5639)
        at android.app.ActivityThread.-wrap1(Unknown Source:0)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1656)
        		... 6 more
Application terminated.
```
