package com.example.androidxrepro

import androidx.databinding.DataBindingUtil
import com.example.library.BindingValue

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.androidxrepro.R.id.textView
import com.example.androidxrepro.databinding.ActivityMainBinding
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        @Suppress("RemoveExplicitTypeArguments")
        DataBindingUtil.setContentView<ActivityMainBinding>(this, R.layout.activity_main).executePendingBindings()
        textView.text = BindingValue.get() ?: "No bound value..."
    }
}